<?php get_header(); ?>

<div id="main" class="page-default">

  <?php if (have_posts()): ?>

    <?php
    if (get_field('hero_image', get_option('page_for_posts'))) {
      if (get_field('hero_image_parallax', get_option('page_for_posts'))) {
        get_template_part('partials/header-image-parallax');
      }
      else {
        get_template_part('partials/header-image');
      }
    }
    ?>
  <div id="content" class="container-fluid max-width">
    <div class="content-container">
      <?php if (is_home() && !is_front_page()) : ?>
        <h1 class="page-title"><?php single_post_title(); ?></h1>
      <?php endif; ?>

        <div class="row">
          <?php while (have_posts()) : the_post(); ?>
          <div class="col-sm-3 post">
            <div class="image">
              <a href="<?= esc_url( get_permalink()); ?>"><?php print wp_get_attachment_image(get_field('featured_image'), 'teaser-block-image'); ?></a>
            </div>
            <div class="post-content">
              <div class="match-height content">
                <h2 class=""><a href="<?= esc_url( get_permalink()); ?>"><?php the_title(); ?></a></h2>
                <div class="date"><?php print get_the_date('d F Y'); ?></div>
              </div>
              <a href="<?= esc_url(get_permalink()); ?>" class="button-dark">Read article <span class="sr-only"><?php the_title(); ?></span></a>
            </div>
          </div>
          <?php endwhile; ?>
        </div>
        <?php
        // Previous/next page navigation.
        the_posts_pagination(array(
          'before_page_number' => '<span class="meta-nav screen-reader-text">Page </span>',
        ));
        ?>
    </div>
  </div>

  <?php endif; ?>

</div>

<?php get_footer(); ?>
