<?php get_header(); ?>

<div id="main" class="page-default">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <?php
    if (get_field('hero_image')) {
      if (get_field('hero_image_parallax')) {
        get_template_part('partials/header-image-parallax');
      }
      else {
        get_template_part('partials/header-image');
      }
    }
    ?>
  <div id="content" class="container-fluid max-width">

    <div class="content-container">
      <div class="row">
        <div class="col-sm-8">
          <h1><?php the_title(); ?></h1>
          <?php the_field('content'); ?>
        </div>
        <div class="col-sm-4 sidebar">
          <?php if (get_field('content_sidebar')): ?>
          <div class="content-box">
            <?php the_field('content_sidebar'); ?>
          </div>
          <?php endif; ?>
          <?php if (get_field('show_book_tour_widget')): ?>
            <div class="book-school-tour-widget">
              <?php the_field('options_sidebar_book_tour_widget', 'option'); ?>
            </div>
          <?php endif; ?>
          <?php if (get_field('quote')): ?>
          <div class="quote">
            <div class="quote-content">
              <div class="quote-icon"><span class="icon-quote"></span></div>
              <?php the_field('quote'); ?>
            </div>
            <?php if (get_field('quote')): ?>
            <div class="quote-by">
              <?php the_field('quote_by'); ?>
            </div>
            <?php endif; ?>
          </div>
          <?php endif; ?>
        </div>
      </div>

      <div class="share-block">
        <span class="icon-share"></span>
        <ul>
          <li><a href="https://www.facebook.com/sharer/sharer.php?u=<?= esc_url(get_permalink()); ?>"><span class="icon-facebook"></span><span class="sr-only">Facebook</span></a></li>
          <li><a href="https://twitter.com/home?status=<?= urlencode(get_the_title()) ?>%0D%0A<?= esc_url(get_permalink()); ?>"><span class="icon-twitter"></span><span class="sr-only">Twitter</span></a></li>
          <li><a href="https://www.linkedin.com/shareArticle?mini=true&url=<?= esc_url(get_permalink()); ?>"><span class="icon-linkedin"></span><span class="sr-only">LinkedIn</span></a></li>
        </ul>
      </div>

    </div>
  </div>

  <?php endwhile; endif; ?>

</div>

<?php get_footer(); ?>
