<?php if (get_field('google_maps_api_key', 'option')): ?>
  <div class="fc-row fc-google-map">
    <?php
    $info_window = get_sub_field('google_maps_info_window');
    if ($info_window) {
      $info_window = json_encode($info_window);
    }
    ?>
    <div id="location-map" style="height:<?php the_sub_field('google_maps_height'); ?>px;"></div>
    <script>
    (function($) {
      $(function() {
        var map = new google.maps.Map(document.getElementById('location-map'), {
          zoom: 16,
          center: new google.maps.LatLng(<?php the_sub_field('google_maps_center_coordinates'); ?>),
          mapTypeId: google.maps.MapTypeId.ROADMAP,
          scrollwheel: false
        });
        var coordinates = [<?php the_sub_field('google_maps_center_coordinates'); ?>];
        var infoWindow = null;
        <?php if ($info_window): ?>
        infoWindow = new google.maps.InfoWindow({
          content: <?= $info_window; ?>
        });
        <?php endif; ?>
        var marker = new google.maps.Marker({
          position: new google.maps.LatLng(coordinates[0], coordinates[1]),
          map: map
        });
        infoWindow.open(map, marker);
      });
    })(jQuery);
    </script>
    <script type='text/javascript' src='https://maps.googleapis.com/maps/api/js?key=<?php the_field('google_maps_api_key', 'option'); ?>&#038;ver=4.6.2'></script>
  </div>
<?php endif; ?>
