<?php
$intro = get_sub_field('intro');
$post_type = get_sub_field('post_type');
$num_cols = get_sub_field('num_columns');
$col_class = '';
switch ($num_cols) {
  case '1';
    $col_class = 'col-xs-12'; break;
  case '2':
    $col_class = 'col-sm-6'; break;
  case '3':
    $col_class = 'col-sm-4'; break;
  case '4':
    $col_class = 'col-md-3 col-sm-6'; break;
}

$paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

if ($post_type == 'event') {
  $args = array(
    'post_type' => $post_type,
    'posts_per_page' => $num_posts = 'all' ? get_option('posts_per_page') : $num_posts,
    'meta_key' => 'date_start',
    'meta_compare' => '>=',
    'meta_value' => date('Ymd', strtotime("now")),
    'orderby' => 'meta_value',
    'order' => 'ASC',
    'paged' => $paged,
  );

}
else {
  $args = array(
    'post_type' => $post_type,
    'posts_per_page' => $num_posts = 'all' ? get_option('posts_per_page') : $num_posts,
    'paged' => $paged,
  );
}
$the_query = new WP_Query($args);
?>
<?php if ($the_query->have_posts()): ?>
<div class="container-fluid fc-row fc-posts fc-posts-<?= $post_type; ?> fc-list-posts<?php if (get_sub_field('css_class')): ?> <?php the_sub_field('css_class'); ?><?php endif; ?>">
  <?php if ($intro): ?><div class="intro"><?= $intro; ?></div><?php endif; ?>
  <div class="row posts">
    <?php while ($the_query->have_posts()): $the_query->the_post(); ?>
      <div class="column <?= $col_class; ?>">
        <?php
        if (locate_template('templates/fc/fc-posts-' . $post_type . '.php')) {
          get_template_part('templates/fc/fc-posts-' . $post_type);
        }
        else {
          get_template_part('templates/fc/fc-posts-default');
        }
        ?>
      </div>
    <?php endwhile; ?>
  </div>
  <?php
  if (function_exists('custom_pagination')) {
    custom_pagination($the_query->max_num_pages, '', $paged);
  }
  ?>
</div>
  <?php
  /* Restore original Post Data
   * NB: Because we are using new WP_Query we aren't stomping on the
   * original $wp_query and it does not need to be reset with
   * wp_reset_query(). We just need to set the post data back up with
   * wp_reset_postdata().
   */
  wp_reset_postdata(); ?>
<?php endif; ?>
