<?php
$all_posts = array();
if ($groups = get_sub_field('groups')) {
  $num_cols = 0;
  $post_types = array();
  foreach ($groups as $group) {
    $num_cols += $group['num_posts'];
    $post_types[$group['post_type']] = $group['num_posts'];
  }

  if ($num_cols == '4') {
    $col_class = 'col-md-3 col-sm-6';
  }
  else {
    $col_class = 'col-sm-' . (12 / $num_cols);
  }

  $all_posts = array();
  foreach ($post_types as $post_type => $num_posts) {
    if ($post_type == 'event') {
      $posts = get_posts(array(
        'post_type' => $post_type,
        'posts_per_page' => $num_posts,
        'meta_key' => 'date_start',
        'meta_compare' => '>=',
        'meta_value' => date('Ymd', strtotime("now")),
        'orderby' => 'meta_value',
        'order' => 'ASC',
      ));
    }
    else {
      $posts = get_posts(array(
        'post_type' => $post_type,
        'posts_per_page' => $num_posts,
      ));
    }
    $all_posts = array_merge($all_posts, $posts);
  }
}
?>
<?php if ($all_posts): ?>
<div class="container-fluid fc-row fc-posts fc-recent-posts<?php if (get_sub_field('css_class')): ?> <?php the_sub_field('css_class'); ?><?php endif; ?>">
  <?php if (get_sub_field('intro')): ?><div class="intro"><?php the_sub_field('intro'); ?></div><?php endif; ?>
  <div class="row posts">
    <?php foreach ($all_posts as $post): ?>
      <div class="column <?= $col_class; ?>">
        <?php
        if (locate_template('templates/fc/fc-posts-' . $post->post_type . '.php')) {
          get_template_part('templates/fc/fc-posts-' . $post->post_type);
        }
        else {
          get_template_part('templates/fc/fc-posts-default');
        }
        ?>
      </div>
    <?php endforeach; ?>
  </div>
</div>
<?php endif; ?>
<?php wp_reset_query(); ?>
