<?php get_header(); ?>

<div id="main" class="page-default">

    <section class="search-results-block">
            <div class="search-results__search">
                <form class="search-results-form" method="get" action="<?php echo home_url('/'); ?>">
                    <div class="search-results-form__wrapper">
                        <div class="input-wrapper">
                            <input class="deletable" id="searchResultsInput" type="text" name="s" value="<?php echo get_search_query(); ?>">
                            <div class="clear-search"></div>
                        </div>
                        <button class="button btn-action search-results-form__btn" id="searchResultsSubmit" type="submit">Search<i class="fas fa-search"></i></button>
                    </div>
                </form>
                <?php if (have_posts()) : ?>
                    <?php global $wp_query; ?>
                    <div class="results-count">
                        <p>Showing: <span><?php echo $wp_query->found_posts; ?> results</span></p>
                    </div>
                <?php endif; ?>
            </div>
            <?php if (have_posts()) :
                global $wp_query;
                ?>

                <div class="results-list">
                    <?php while (have_posts()): the_post(); ?>
                        <div class="result-item">
                            <a href="<?php the_permalink(); ?>">
                                <h2><?php the_title(); ?></h2>
                                <div class="content">
                                    <?php
                                    $raw_content = get_field( 'content' );
                                    $content = $raw_content;
                                    if (is_array($raw_content)) {
                                        foreach ($raw_content as $block) {
                                            if (array_key_exists('content', $block)) {
                                                $content = $block['content'];
                                            }
                                        }
                                    }
                                    $trimmed_content = wp_trim_words($content);
                                    $clean_excerpt = apply_filters('the_excerpt', $trimmed_content);
                                    ?>
                                    <?= $clean_excerpt; ?>
                                </div>
                            </a>
                        </div>
                    <?php endwhile; ?>
                </div>

                <div class="pagination">
                    <?php
                    $big = 999999999; // need an unlikely integer
                    echo paginate_links( array(
                      'base' => str_replace( $big, '%#%', get_pagenum_link( $big ) ),
                      'format' => '?paged=%#%',
                      'current' => max( 1, get_query_var('paged') ),
                      'prev_text' => __( 'Previous' ),
                      'next_text' => __( 'Next' ),
                        // 'total' => $query->max_num_pages
                    ) );
                    ?>
                </div>
            <?php else : ?>
                <div class="no-results">
                    <h2>Sorry No Results</h2>
                </div>
            <?php endif; ?>
    </section>

    <div class="shadow"></div>

</div>

<?php get_footer(); ?>
