<?php get_header(); ?>

<div id="main" class="page-single-event single-post">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

  <div id="content" class="container-fluid max-width">
    <div class="content-container">
      <a href="<?= esc_url(get_page_link(642)); ?>" >&laquo; View all events</a>
      <h1><?php the_title(); ?></h1>
      <?php
      $date_start = new DateTime(get_field('date_start', false, false));
      if ($date_end = get_field('date_end', false, false)) {
        $date_end = new DateTime($date_end);
        $date = date_range($date_start, $date_end);
      }
      else {
        $date = $date_start->format('D F j, Y');
      }
      ?>
      <p class="post-date">
        <?= $date; ?>
        <?php if (get_field('event_times')): ?>
          <br><?php the_field('event_times'); ?>
        <?php endif; ?>
      </p>
      <?php if (get_field('featured_image')): ?>
      <div class="image">
        <?php print wp_get_attachment_image(get_field('featured_image'), 'content-image', FALSE, array('class' => 'img-responsive')); ?>
      </div>
      <?php endif; ?>
      <?php the_field('content'); ?>
    </div>
  </div>

  <?php endwhile; endif; ?>

</div>

<?php get_footer(); ?>
