<?php
/**
 * Template Name: Curriculum Template
 */
?>
<?php get_header(); ?>

<div id="main" class="page-curriculum">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
    <?php
    if (get_field('hero_image')) {
      if (get_field('hero_image_parallax')) {
        get_template_part('partials/header-image-parallax');
      }
      else {
        get_template_part('partials/header-image');
      }
    }
    ?>
  <div id="content" class="container-fluid max-width">

    <div class="content-container">

      <?php if (!get_field('hide_title')): ?><h1><?php the_title(); ?></h1><?php endif; ?>

      <div class="content">
        <?php the_field('content'); ?>
      </div>

      <div class="timeline">

        <?php if (have_rows('timeline_entries')): ?>

          <?php $counter = 0; ?>
          <?php while (have_rows('timeline_entries')) : the_row(); ?>
            <div class="row timeline-entry <?php if ($counter % 2): ?>even<?php else: ?>odd<?php endif; ?>">
              <div class="col-1 col-sm-6 match-height<?php if ($counter % 2 === 0): ?> col-sm-push-6<?php endif; ?>">
                <div class="titles primary">
                  <h2><?php the_sub_field('title'); ?></h2>
                  <?php if (get_sub_field('subtitle')): ?><h3><?php the_sub_field('subtitle'); ?></h3><?php endif; ?>
                </div>
                <div class="image">
                  <?php print wp_get_attachment_image(get_sub_field('image'), 'square-image', NULL, array('class' => 'img-responsive img-circle')); ?>
                </div>
              </div>
              <div class="col-2 col-sm-6 match-height<?php if ($counter % 2 === 0): ?> col-sm-pull-6<?php endif; ?>">
                <div class="row full-height">
                  <div class="primary-image-container full-height col-sm-6<?php if ($counter % 2 === 0): ?> col-sm-push-6<?php endif; ?>">
                    <div class="image primary">
                      <?php print wp_get_attachment_image(get_sub_field('image'), 'square-image', NULL, array('class' => 'img-responsive img-circle')); ?>
                    </div>
                  </div>
                  <div class="primary-content-container full-height col-sm-6<?php if ($counter % 2 === 0): ?> col-sm-pull-6<?php endif; ?>">
                    <div class="timeline-content">
                      <div class="titles">
                        <h2><?php the_sub_field('title'); ?></h2>
                        <?php if (get_sub_field('subtitle')): ?><h3><?php the_sub_field('subtitle'); ?></h3><?php endif; ?>
                      </div>
                      <?= get_sub_field('content'); ?>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <?php $counter++; ?>
          <?php endwhile; ?>

        <?php endif; ?>

      </div>

      <?php if (get_field('content_footer')): ?>
      <div class="content-footer">
        <?php if (get_field('background_image')): ?>
          <?php print wp_get_attachment_image(get_field('background_image'), 'hero-image'); ?>
        <?php endif; ?>
        <div class="overlay">
          <div class="content">
            <div class="inner">
              <?php the_field('content_footer'); ?>
            </div>
          </div>
        </div>
      </div>
      <?php endif; ?>

    </div>
  </div>

  <?php endwhile; endif; ?>

</div>

<?php get_footer(); ?>
