<?php
/**
 * Template Name: Flexible Content Template
 */
?>
<?php get_header(); ?>

<div id="main" class="page-modular">

  <?php if (have_posts()) : while (have_posts()) : the_post(); ?>

    <?php
    if (get_field('hero_image')) {
      if (get_field('hero_image_parallax')) {
        get_template_part('partials/header-image-parallax');
      }
      else {
        get_template_part('partials/header-image');
      }
    }
    ?>

  <div id="content">

    <div class="content-container">

      <?php if (!get_field('hide_title')): ?><h1><?php the_title(); ?></h1><?php endif; ?>

      <?php
      // check if the flexible content field has rows of data
      if (have_rows('content')):

        while (have_rows('content')) : the_row();

          if (get_row_layout() == 'content'):

            get_template_part('partials/fc', 'content');

          elseif (get_row_layout() == 'quote'):

            get_template_part('partials/fc', 'quote');

          elseif (get_row_layout() == 'teaser_blocks'):

            get_template_part('partials/fc', 'teaser-blocks');

          elseif (get_row_layout() == 'google_map'):

            get_template_part('partials/fc', 'google-map');

          elseif (get_row_layout() == 'slider'):

            get_template_part('partials/fc', 'slider');

          elseif (get_row_layout() == 'recent_posts'):

            get_template_part('partials/fc', 'recent-posts');

          elseif (get_row_layout() == 'list_posts'):

            get_template_part('partials/fc', 'list-posts');

          elseif (get_row_layout() == 'posts'):

            get_template_part('partials/fc', 'posts');

          endif;

        endwhile;

      else:

          // no layouts found

      endif;
      ?>
    </div>
  </div>

  <?php endwhile; endif; ?>

</div>

<?php get_footer(); ?>
