<?php
// See: https://codex.wordpress.org/TinyMCE_Custom_Styles

/**
 * Define the location of they WYSIWYG editor's stylesheet.
 */
add_editor_style('css/editor-style.css');

/**
 * Add our custom font to the WYSIWYG editor
 */
add_action('admin_init', function() {
  add_editor_style('https://fonts.googleapis.com/css?family=Exo+2:300,300i,500,500i,600,600i');
});

// Add the format dropdown to the WYSIWYG editor
add_filter('mce_buttons_2', function($buttons) {
  array_unshift($buttons, 'styleselect');
  return $buttons;
});

// Attach callback to 'tiny_mce_before_init'
add_filter('tiny_mce_before_init', function($init_array) {

  $style_formats = array(

    array(
      'title' => 'Button',
      'selector' => 'a',
      'classes' => 'button',
      'wrapper' => false,
    ),
    array(
      'title' => 'H1',
      'selector' => 'h2, h3',
      'classes' => 'h1',
      'wrapper' => false,
    ),
    array(
      'title' => 'H2',
      'selector' => 'h1, h3',
      'classes' => 'h2',
      'wrapper' => false,
    ),
    array(
      'title' => 'H3',
      'selector' => 'h1, h2',
      'classes' => 'h3',
      'wrapper' => false,
    ),

  );

  $init_array['style_formats'] = json_encode($style_formats);

  return $init_array;

});
